# FourierFlows.jl Documentation

## Installation

Install `FourierFlows.jl` from the `julia` `REPL` prompt with

```julia
using Pkg
Pkg.add("FourierFlows")
```

## Overview

FourierFlows provides a framework to write solvers for partial differential equations on periodic domains with
Fourier-based pseudospectral methods. We support 1-, 2-, and 3-dimensional domains.

## Examples

For examples of `FourierFlows.jl` in action, see 
[`GeophysicalFlows.jl`](https://github.com/FourierFlows/GeophysicalFlows.jl)

## Developers

FourierFlows is currently being developed by [Gregory L. Wagner](https://glwagner.github.io) and 
[Navid C. Constantinou](http://www.navidconstantinou.com).

## Cite

The code is citable via [zenodo](https://doi.org/10.5281/zenodo.1161724).
